Bug 203427 - [MAINTAINER] games/pioneer: Update to 20151004
Summary: [MAINTAINER] games/pioneer: Update to 20151004
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-28 20:29 UTC by lightside
Modified: 2015-10-10 10:08 UTC (History)
1 user (show)

See Also:


Attachments
Proposed patch (since 389768 revision) (1.79 KB, patch)
2015-09-28 20:29 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 10.2 amd64) (21.42 KB, application/x-bzip2)
2015-09-28 20:30 UTC, lightside
no flags Details
Proposed patch (since 389768 revision) (1.79 KB, patch)
2015-10-06 09:09 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 10.2 amd64) (21.38 KB, application/x-bzip2)
2015-10-06 13:54 UTC, lightside
no flags Details
poudriere falure log on 9.3 (45.64 KB, text/x-log)
2015-10-09 07:48 UTC, Guido Falsi
no flags Details
Proposed patch (since 389768 revision) (1.86 KB, patch)
2015-10-09 13:59 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 9.3 amd64) (18.12 KB, application/x-bzip2)
2015-10-09 14:00 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64) (21.41 KB, application/x-bzip2)
2015-10-09 14:00 UTC, lightside
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2015-09-28 20:29:30 UTC
Created attachment 161506 [details]
Proposed patch (since 389768 revision)

Patch to update games/pioneer port from 20150614 to 20150927 version.

Look following link for changes:
https://github.com/pioneerspacesim/pioneer/compare/20150614...20150927

- Remove fixed sed patch
- Use new options helpers

The saved games from previous version may not be compatible.
Comment 1 lightside 2015-09-28 20:30:00 UTC
Created attachment 161507 [details]
The poudriere testport log (FreeBSD 10.2 amd64)
Comment 2 lightside 2015-10-06 09:09:37 UTC
Created attachment 161749 [details]
Proposed patch (since 389768 revision)

Updated to 20151004 version.

Look following link for changes:
https://github.com/pioneerspacesim/pioneer/compare/20150614...20151004
Comment 3 lightside 2015-10-06 13:54:38 UTC
Created attachment 161763 [details]
The poudriere testport log (FreeBSD 10.2 amd64)
Comment 4 Guido Falsi freebsd_committer 2015-10-09 07:48:32 UTC
Created attachment 161839 [details]
poudriere falure log on 9.3

Hi,

I tested your patch and found out the port fails to build on 9.x.

I'm attaching a build log.

Can you investigate this a little?

I also tried without WITH_GCC and forcing the USES=compiler on 9.x too, but it then fails at configure time, so the USE_GCC flag seems to be needed.

Thanks!
Comment 5 lightside 2015-10-09 13:59:47 UTC
Created attachment 161850 [details]
Proposed patch (since 389768 revision)

Hello, Guido Falsi.

(In reply to comment #4)
> I tested your patch and found out the port fails to build on 9.x.
> Can you investigate this a little?

Yes, I recreated a new poudriere jail for FreeBSD 9.3-RELEASE.

(In reply to comment #4)
> I also tried without WITH_GCC and forcing the USES=compiler on 9.x too,
> but it then fails at configure time, so the USE_GCC flag seems to be needed.

I tested the USE_GCC on FreeBSD 10.2-RELEASE and it worked. So, this is interesting catch.

Looks like, the issue appeared between 20150715 and 20150810 versions:
https://github.com/pioneerspacesim/pioneer/compare/20150715...20150810
It was usage of std namespace for some math.h functions of ${WRKSRC}/src/Orbit.cpp file.

The attached patch includes the sed patch, which removes "std::" namespace from functions of ${WRKSRC}/src/Orbit.cpp file to fix the mentioned issue. But it could be related to different include files or configuration of GCC compiler on FreeBSD 9.3.
Comment 6 lightside 2015-10-09 14:00:31 UTC
Created attachment 161851 [details]
The poudriere testport log (FreeBSD 9.3 amd64)
Comment 7 lightside 2015-10-09 14:00:53 UTC
Created attachment 161852 [details]
The poudriere testport log (FreeBSD 10.2 amd64)
Comment 8 Guido Falsi freebsd_committer 2015-10-10 09:48:40 UTC
This new patch works fine.

I'll commit it shortly.

9.3 is very different than 10 for C++ projects.

on 9.3 we have to use gcc48 from ports with libstdc++, all C++ software should be compiled with that standard library there.

On 10 the default clang compiler is able to work with modern C++ code and the standard C++ library is libc++.

So there are two different implementations, this could explain why sometimes things act differently.

I'm not a C++ expert s I can't say much more about this.

Anyway thanks for the fix.
Comment 9 commit-hook freebsd_committer 2015-10-10 09:51:03 UTC
A commit references this bug:

Author: madpilot
Date: Sat Oct 10 09:50:53 UTC 2015
New revision: 398983
URL: https://svnweb.freebsd.org/changeset/ports/398983

Log:
  - Update to 20151004
  - Use option target helpers

  PR:		203427
  Submitted by:	lightside at gmx.com (maintainer)

Changes:
  head/games/pioneer/Makefile
  head/games/pioneer/distinfo
Comment 10 Guido Falsi freebsd_committer 2015-10-10 09:51:09 UTC
Committed. Thanks!
Comment 11 lightside 2015-10-10 10:08:44 UTC
Thank you too.